Commit 5273c2e5 authored by Samuel Dion-Girardeau's avatar Samuel Dion-Girardeau Committed by Guillaume Binet

Fix/backend import error messages (#1248)

* Add missing word for Slack/Hipchat import error

* Fix typo in XMPP backend import error
parent 368675c2
...@@ -23,7 +23,7 @@ try: ...@@ -23,7 +23,7 @@ try:
except ImportError: except ImportError:
log.exception("Could not start the HipChat backend") log.exception("Could not start the HipChat backend")
log.fatal( log.fatal(
"You need to install the hipchat support in order to use the HipChat.\n " "You need to install the hipchat support in order to use the HipChat backend.\n "
"You should be able to install this package using:\n" "You should be able to install this package using:\n"
"pip install errbot[hipchat]" "pip install errbot[hipchat]"
) )
......
...@@ -25,7 +25,7 @@ try: ...@@ -25,7 +25,7 @@ try:
except ImportError: except ImportError:
log.exception("Could not start the Slack back-end") log.exception("Could not start the Slack back-end")
log.fatal( log.fatal(
"You need to install the slackclient support in order to use the Slack.\n" "You need to install the slackclient support in order to use the Slack backend.\n"
"You can do `pip install errbot[slack]` to install it" "You can do `pip install errbot[slack]` to install it"
) )
sys.exit(1) sys.exit(1)
......
...@@ -21,7 +21,7 @@ try: ...@@ -21,7 +21,7 @@ try:
except ImportError: except ImportError:
log.exception("Could not start the XMPP backend") log.exception("Could not start the XMPP backend")
log.fatal(""" log.fatal("""
If you intend to use the XMPP backend pleas install the support for XMPP with: If you intend to use the XMPP backend please install the support for XMPP with:
pip install errbot[XMPP] pip install errbot[XMPP]
""") """)
sys.exit(-1) sys.exit(-1)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment